Package org.drinkless.tdlib

# Class TdApi.GroupCallJoinParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallJoinParameters

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallJoinParameters extends TdApi.Object
Describes parameters used to join a group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `audioSourceId`
  Audio channel synchronization source identifier; received from tgcalls.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isMuted`
  Pass true to join the call with muted microphone.
  `boolean`
  `isMyVideoEnabled`
  Pass true if the user's video is enabled.
  `String`
  `payload`
  Group call join payload; received from tgcalls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallJoinParameters()`
  Describes parameters used to join a group call.
  `GroupCallJoinParameters(int audioSourceId, String payload, boolean isMuted, boolean isMyVideoEnabled)`
  Describes parameters used to join a group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### audioSourceId

    public int audioSourceId
    Audio channel synchronization source identifier; received from tgcalls.

  - ### payload

    public String payload
    Group call join payload; received from tgcalls.

  - ### isMuted

    public boolean isMuted
    Pass true to join the call with muted microphone.

  - ### isMyVideoEnabled

    public boolean isMyVideoEnabled
    Pass true if the user's video is enabled.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallJoinParameters

    public GroupCallJoinParameters()
    Describes parameters used to join a group call.

  - ### GroupCallJoinParameters

    public GroupCallJoinParameters(int audioSourceId, String payload, boolean isMuted, boolean isMyVideoEnabled)
    Describes parameters used to join a group call.
    Parameters:
      `audioSourceId` - Audio channel synchronization source identifier; received from tgcalls.
      `payload` - Group call join payload; received from tgcalls.
      `isMuted` - Pass true to join the call with muted microphone.
      `isMyVideoEnabled` - Pass true if the user's video is enabled.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR